Page MenuHomePhabricator

`blueprint-left-nav` message doesn't seem to be localizable
Closed, DeclinedPublic

Description

The message blueprint-left-nav is * [[Main Page]].

When translating it, if the link target is translated, then translatewiki displays a warning that the link to [[Main Page]] doesn't appear and makes the message fuzzy. Maybe translatewiki could be configured to ignore this warning, but it sounds more right to me to make the message truly localized by reusing the actual title of the main page in the relevant language, so that the translators wouldn't have to deal with it at all.

Event Timeline

Amire80 created this task.Aug 30 2015, 10:38 AM
Amire80 raised the priority of this task from to Normal.
Amire80 updated the task description. (Show Details)
Amire80 added subscribers: Amire80, Raymond, siebrand and 3 others.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 30 2015, 10:38 AM

The name of the main page of the wiki is defined in core as the 'mainpage' message (which defaults to "Main Page" in English). You could use * [[{{MediaWiki:Mainpage}}]] in the default message to generate a link to the main page (in the wiki's content language and not user's language, as opposed to * [[{{int:mainpage}}]], which would use user's language and point to a non-existent page for all users using a language different than content language).

(I assume the primary purpose of this message is to be overridable by wiki admins, rather than to be translateable.)

Nemo_bis set Security to None.
Nemo_bis added a subscriber: Nemo_bis.

Yes, [[{{MediaWiki:Mainpage}}]] is the standard.

Change 235033 had a related patch set uploaded (by Amire80):
Make blueprint-left-nav language-agnostic

https://gerrit.wikimedia.org/r/235033

Change 235035 had a related patch set uploaded (by Amire80):
Make blueprint-sidebar-content ignored

https://gerrit.wikimedia.org/r/235035

Volker_E moved this task from Backlog to In Development on the Blueprint board.Aug 31 2015, 6:41 PM
Volker_E renamed this task from the blueprint-left-nav message doesn't seem to be localizable to `blueprint-left-nav` message doesn't seem to be localizable.Nov 25 2015, 10:33 PM
Volker_E removed a project: good first bug.

Change 235035 abandoned by Nikerabbit:
Make blueprint-sidebar-content ignored

Reason:
Stuck for very long time.

https://gerrit.wikimedia.org/r/235035

Change 235033 abandoned by Amire80:
Make blueprint-left-nav language-agnostic

Reason:
No time to look at it at the moment :(

https://gerrit.wikimedia.org/r/235033

Nemo_bis removed Amire80 as the assignee of this task.Jun 10 2016, 5:42 PM
Nemo_bis removed a project: translatewiki.net.
Prtksxna closed this task as Declined.May 31 2017, 6:11 PM

The skin is no longer maintained.

Change 356438 had a related patch set uploaded (by Nemo bis; owner: Federico Leva):
[translatewiki@master] [Blueprint] Remove skin from translation, abandoned

https://gerrit.wikimedia.org/r/356438

Change 356438 merged by jenkins-bot:
[translatewiki@master] [Blueprint] Remove skin from translation, abandoned

https://gerrit.wikimedia.org/r/356438